> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kair.is/llms.txt
> Use this file to discover all available pages before exploring further.

# Post workspaces audio



## OpenAPI

````yaml /openapi.json post /workspaces/{workspace_id}/audio
openapi: 3.0.0
info:
  title: Kair Voice
  version: '1.0'
servers:
  - url: http://0.0.0.0:8000/api
security: []
tags:
  - name: Admin
  - name: ApiKey
  - name: Auth
  - name: Concerns
  - name: Device
  - name: Graph
  - name: Health
  - name: Job
  - name: Session
  - name: Workshop
  - name: Workspace
paths:
  /workspaces/{workspace_id}/audio:
    post:
      tags:
        - Workspace
      operationId: post-workspaces-workspace-id-audio
      parameters:
        - name: workspace_id
          schema:
            type: string
            format: uuid
          in: path
          required: true
          deprecated: false
          explode: true
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              required:
                - audio
              properties:
                audio:
                  type: string
                  format: binary
                chunk_sequence:
                  type: integer
                  format: int32
                  default: null
                chunk_duration_seconds:
                  type: integer
                  format: uint32
                  default: 30
                is_final_chunk:
                  type: boolean
                  default: false
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/UnifiedAudioUploadResponse'
        '400':
          description: ''
        '403':
          description: ''
        '404':
          description: ''
        '409':
          description: ''
components:
  schemas:
    UnifiedAudioUploadResponse:
      type: object
      title: UnifiedAudioUploadResponse
      description: >-
        Response for unified audio upload (handles both single and chunked
        uploads)
      required:
        - success
        - mode
        - transcription_id
        - finalised
      properties:
        success:
          type: boolean
        mode:
          $ref: '#/components/schemas/UploadMode'
        audio_id:
          type: string
          format: uuid
        chunk_id:
          type: string
          format: uuid
        transcription_id:
          type: string
          format: uuid
        chunk_sequence:
          type: integer
          format: int32
        finalised:
          type: boolean
        total_chunks:
          type: integer
          format: int32
    UploadMode:
      type: string
      description: Upload mode for unified audio upload
      enum:
        - Single
        - Chunked

````